########################### Start of libnfc-nci.conf ###########################

###############################################################################
# Application options
APPL_TRACE_LEVEL=0x05
#APPL_TRACE_LEVEL=0x02
# HAL trace flag: 0x00200000
# HAL NDLC trace flag: 0x00400000
PROTOCOL_TRACE_LEVEL=0x00600000
#PROTOCOL_TRACE_LEVEL=0x00A00000
NFC_DEBUG_ENABLED=1
###############################################################################
# File used for NFA storage
NFA_STORAGE="/data/nfc"

###############################################################################
# Keep the nfa storage file.
PRESERVE_STORAGE=1

###############################################################################
# Force UICC to only listen to the following technology(s).
# The bits are defined as tNFA_TECHNOLOGY_MASK in nfa_api.h.
# Default is NFA_TECHNOLOGY_MASK_A | NFA_TECHNOLOGY_MASK_B.
# NOTE 1: P2P_LISTEN_TECH_MASK has also an impact on programmed listen mask
# NOTE 2: If using android 4.4, the listen mode A is always programmed.
UICC_LISTEN_TECH_MASK=0x00

###############################################################################
# Inform the system of the maximum number of SE supported.
# Minimum value is 1 has the UICC may always be used.
# eSE may not be used depending on phone configuration.
MAX_NUMBER_OF_SE=0x2

###############################################################################
# AID for Empty Select command
# If specified, this AID will be substituted when an Empty SELECT command is
# detected.  The first byte is the length of the AID.  Maximum length is 16.
AID_FOR_EMPTY_SELECT={08:A0:00:00:01:51:00:00:00}

###############################################################################
# Force tag polling for the following technology(s).
# The bits are defined as tNFA_TECHNOLOGY_MASK in nfa_api.h.
# Default is NFA_TECHNOLOGY_MASK_A | NFA_TECHNOLOGY_MASK_B |
#            NFA_TECHNOLOGY_MASK_F | NFA_TECHNOLOGY_MASK_ISO15693.
#
# Notable bits:
# NFA_TECHNOLOGY_MASK_A	        0x01    /* NFC Technology A             */
# NFA_TECHNOLOGY_MASK_B	        0x02    /* NFC Technology B             */
# NFA_TECHNOLOGY_MASK_F	        0x04    /* NFC Technology F             */
# NFA_TECHNOLOGY_MASK_V       	0x08    /* NFC Technology V             */
# NFA_TECHNOLOGY_MASK_KOVIO	    0x20    /* Proprietary Technology       */
# NFA_TECHNOLOGY_MASK_ACTIVE    0x40    /* NFC Technology ACM active mode */
POLLING_TECH_MASK=0x6F

###############################################################################
# Force P2P to only listen for the following technology(s).
# The bits are defined as tNFA_TECHNOLOGY_MASK in nfa_api.h.
# Default is NFA_TECHNOLOGY_MASK_A | NFA_TECHNOLOGY_MASK_F | NFA_TECHNOLOGY_MASK_ACTIVE.
P2P_LISTEN_TECH_MASK=0x40

###############################################################################
# When screen is turned OFF, specify the desired CE mode to the controller.
# 0: No card-emulation; DEFAULT
# 1: Screen-off card-emulation enabled
CE_ON_SCREEN_OFF_STATE=1

###############################################################################
# In Switch OFF mode (phone switched-off), specify the desired CE mode to
# the controller.
# 0: No card-emulation; DEFAULT
# 1: Switch-off card-emulation enabled
CE_ON_SWITCH_OFF_STATE=1


###############################################################################
# Name of the NCI HAL module to use
# If unset, falls back to nfc_nci.bcm2079x
NCI_HAL_MODULE="nfc_nci.st21nfc"

###############################################################################
# When screen is turned off, specify the desired power state of the controller.
# 0: power-off-sleep state; DEFAULT
# 1: full-power state
SCREEN_OFF_POWER_STATE=1

###############################################################################
# AID_MATCHING constants
# AID_MATCHING_EXACT_ONLY 0x00
# AID_MATCHING_EXACT_OR_PREFIX 0x01
# AID_MATCHING_PREFIX_ONLY 0x02
# AID_MATCHING_EXACT_OR_SUBSET_OR_PREFIX 0x03
AID_MATCHING_MODE=0x03

AID_MATCHING_PLATFORM=0x01

###############################################################################
#Set the default Felica T3T System Code :
#This settings will be used when application does not set this parameter
DEFAULT_SYS_CODE={FE:FF}


###############################################################################
# GSMA-related behaviors

# ISO-DEP is always routed to active secure element by default (e.g. EXTERNAL AUTH, ...),
# but AIDs (SELECT) are forced to device host if this value is defined
# AND we are in GSMA mode (persist.st_nfc_gsma_support=1).
#  if commented: use active secure element
#  0 : route by default to DH. 2 : route by default to active SIM
DEFAULT_AID_ROUTE=2

# Block routing for unsupported power states
# It means for AID routed to HCE, an error is returned in power modes not supported
# by HCE (screen off, switch off) instead of routing to the secure element.
# This behavior is required for GSMA certification.
NFA_AID_BLOCK_ROUTE=1

###############################################################################
# EXPERIMENTAL
# Stack attempts to automatically detect when a reader fails to establish a link
# with this device and the firmware mechanisms for dynamic settings are not
# effective. Stack then attempts to switch the RF parameters to try different
# settings. Mechanism based on timers and patterns.
# - only with firmware >= 1.7
# - requires the firmware logs to be enabled.
# - only for type A transactions at the moment.
# Default : mechanism is disabled.
RF_PARAMS_AUTO_SWITCH=0
RF_PARAMS_AUTO_SWITCH_ERR_THRESHOLD=3
RF_PARAMS_AUTO_SWITCH_T1_THRESHOLD=800
RF_PARAMS_AUTO_SWITCH_T2_THRESHOLD=500

OFFHOST_AID_ROUTE_PWR_STATE=0x3B
STNFC_FW_PATH_STORAGE="/odm/etc"

